// cppClientDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "CTOzekiMS6Client.h" 
#include "CTOzekiMS6ClientEvents.h"

// CcppClientDlg dialog
class CcppClientDlg : public CDialog
{
// Construction
public:
	CcppClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_CPPCLIENT_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	void OnDestroyDialog();
    CString eServerIP;
	CString ePort;
	CString eUserName;
	CString ePassword;
	CButton cOzon;
	CString ePhoneNumber;
	CString eMsgText;
	CString eLog;
	CString myLog;
	CButton bDisconnect;
	CButton bSend;
	CButton bConnect;

	bool clientAttached;
	CTOzekiMS6Client ozms6;
	CTOzekiMS6ClientEvents *ms6events;
	DWORD dwCookie;

	afx_msg void OnBnClickedBconnect();
	afx_msg void OnBnClickedBsend();
	afx_msg void OnBnClickedBdisconnect();
	afx_msg void OnDestroy();

	void addToLog(CString message);
};
