#pragma once

class CTOzekiMS6ClientEvents : public CCmdTarget
{

DECLARE_DYNAMIC(CTOzekiMS6ClientEvents)

public:
	CTOzekiMS6ClientEvents();
	virtual ~CTOzekiMS6ClientEvents();

	virtual void OnFinalRelease();

protected:
	DECLARE_MESSAGE_MAP()
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()

public:
	void onError(long statusCode, LPCTSTR statusMessage);
	void onServerConnected(void);
	void onServerConnecting(void);
	void onServerCouldNotConnect(void);
	void onServerDisconnected(void);
	void onSMSAccepted(LPCTSTR smsID);
	void onSMSDelivered(LPCTSTR smsID);
	void onSMSReceived(LPCTSTR originator, LPCTSTR recepient, LPCTSTR messageData, LPCTSTR messageType, LPCTSTR operatorname);
	void onSMSRejected(LPCTSTR smsID);
	void onSMSTransmitted(LPCTSTR smsID);
	void onSMSUndeliverable(LPCTSTR smsID);
};
